List Wikipedia logs
List public Wikipedia log events by type, page, user or time.
Headers
Get your API keyAPI key (`sfk_...`)
Wikimedia edition code, e.g. `en`, `de`, `ja`, `simple` or `zh-min-nan`. Default: `en`.
Only events of this log type.
one of: delete, move, block, protect, newusers, upload, patrol, review, rights, create, merge, thanks, abusefilter
Only events about this page.
Only events at or after this time, as `YYYY-MM-DD` or an ISO 8601 date-time with a zone.
Rows per page, 1 to 500. Default: 50.
≥ 1 · ≤ 500
Cursor from `page.nextCursor` of the previous response. It only works with the same filters.
min 1 chars · max 2048 chars
Endpoint-specific response payload.
Whether the entity, page or data set exists. A missing entity is `not_found`; an existing entity with no rows is `found` with `empty: true`.
one of: found, not_found
Edition code.
Log events in this page of the walk.
Log id.
Namespace id.
Title.
Page id.
Log page id.
Revision id, when the log has one.
Log parameters.
Log type.
Log action.
User name.
User id; null when hidden.
Whether a temporary account made the event.
When it happened, ISO 8601.
Summary.
Change tags.
Pagination state. `nextCursor` is null on the last page.
Whether another page is available.
Cursor to pass in the next request when more pages exist; null on the last page.
Whether the answer is a valid empty result rather than missing.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/wikipedia/logs?type=delete" \
-H "x-api-key: YOUR_API_KEY"Responses
List Wikipedia logs